# Webinars

* Get Webinar [#get-webinars-webinaridentifier](#get-webinars-webinaridentifier "mention")
* List Webinars [#get-webinars](#get-webinars "mention")
* List Webinar Events [#get-webinars-events](#get-webinars-events "mention")

## GET /webinars/{webinarIdentifier}

> Get Webinar

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"GetWebinar.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/IPublicWebinar"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]},"IPublicWebinar":{"allOf":[{"type":"object","properties":{"webinarId":{"type":"string"},"webinarHash":{"type":"string","nullable":true},"name":{"type":"string"},"description":{"type":"string"},"recurring":{"type":"string","nullable":true},"eventType":{"type":"string"},"schedules":{"type":"string"},"eventDatetime":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"timezone":{"type":"string"},"presenters":{"type":"string","nullable":true},"registrationUrl":{"type":"string","nullable":true},"created":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"isWebinarjam":{"type":"number"},"organizerKey":{"type":"string"},"inactive":{"type":"boolean"},"zoomUUID":{"type":"string","nullable":true},"zoomWebinarId":{"type":"number"},"zoomOccurrenceId":{"type":"number","nullable":true},"zoomRecurrenceType":{"type":"number","nullable":true},"zoomRegistrationType":{"type":"number","nullable":true},"zoomType":{"type":"number","nullable":true},"gotoWebinarKey":{"type":"string","nullable":true},"gotoWebinarId":{"type":"string","nullable":true},"gotoAccountKey":{"type":"string","nullable":true},"gotoRecurrenceType":{"type":"string","nullable":true},"gotoExperienceType":{"type":"string","nullable":true},"duration":{"type":"number","nullable":true},"updatedAt":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]}},"required":["webinarId","name","description","schedules","eventDatetime","timezone","created","organizerKey","inactive"],"description":"IWebinar without id, accountId"},{"type":"object","properties":{"id":{"type":"number"},"webinarSettingId":{"type":"number"},"registrants":{"type":"number"},"participants":{"type":"number"},"absentees":{"type":"number"},"groupId":{"type":"number"},"enableWelcome":{"type":"boolean"},"enableReminders":{"type":"boolean"},"enableAbsentees":{"type":"boolean"}},"required":[]}]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/webinars/{webinarIdentifier}":{"get":{"tags":["Webinars"],"summary":"Get Webinar","operationId":"webinars_get_webinar","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetWebinar.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"webinarIdentifier","in":"path","required":true,"schema":{"type":"string"}}]}}}}
```

## GET /webinars

> List Webinars

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"ListWebinars.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponsePaginated"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{"$ref":"#/components/schemas/IPublicWebinar"}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"]}},"required":["data"]}]},"IApiResponsePaginated":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"],"description":"PaginationData"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]},"IPublicWebinar":{"allOf":[{"type":"object","properties":{"webinarId":{"type":"string"},"webinarHash":{"type":"string","nullable":true},"name":{"type":"string"},"description":{"type":"string"},"recurring":{"type":"string","nullable":true},"eventType":{"type":"string"},"schedules":{"type":"string"},"eventDatetime":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"timezone":{"type":"string"},"presenters":{"type":"string","nullable":true},"registrationUrl":{"type":"string","nullable":true},"created":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"isWebinarjam":{"type":"number"},"organizerKey":{"type":"string"},"inactive":{"type":"boolean"},"zoomUUID":{"type":"string","nullable":true},"zoomWebinarId":{"type":"number"},"zoomOccurrenceId":{"type":"number","nullable":true},"zoomRecurrenceType":{"type":"number","nullable":true},"zoomRegistrationType":{"type":"number","nullable":true},"zoomType":{"type":"number","nullable":true},"gotoWebinarKey":{"type":"string","nullable":true},"gotoWebinarId":{"type":"string","nullable":true},"gotoAccountKey":{"type":"string","nullable":true},"gotoRecurrenceType":{"type":"string","nullable":true},"gotoExperienceType":{"type":"string","nullable":true},"duration":{"type":"number","nullable":true},"updatedAt":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]}},"required":["webinarId","name","description","schedules","eventDatetime","timezone","created","organizerKey","inactive"],"description":"IWebinar without id, accountId"},{"type":"object","properties":{"id":{"type":"number"},"webinarSettingId":{"type":"number"},"registrants":{"type":"number"},"participants":{"type":"number"},"absentees":{"type":"number"},"groupId":{"type":"number"},"enableWelcome":{"type":"boolean"},"enableReminders":{"type":"boolean"},"enableAbsentees":{"type":"boolean"}},"required":[]}]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/webinars":{"get":{"tags":["Webinars"],"summary":"List Webinars","operationId":"webinars_list_webinars","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListWebinars.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"filters","in":"query","required":false,"schema":{"type":"object","properties":{"startDate":{"type":"string"},"endDate":{"type":"string"}},"required":[]}}]}}}}
```

## GET /webinars/events

> List Webinar Events

```json
{"openapi":"3.0.0","info":{"title":"Mobile Text Alerts API","version":"8.0.0"},"servers":[{"url":"https://api.mobile-text-alerts.com/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"apiKey"}},"schemas":{"ListWebinarEvents.Response":{"allOf":[{"$ref":"#/components/schemas/IApiResponsePaginated"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{"$ref":"#/components/schemas/IPublicWebinar"}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"]}},"required":["data"]}]},"IApiResponsePaginated":{"allOf":[{"$ref":"#/components/schemas/IApiResponse"},{"type":"object","properties":{"data":{"type":"object","properties":{"rows":{"type":"array","items":{}},"page":{"type":"number"},"pageSize":{"type":"number"},"total":{"type":"number"}},"required":["rows","page","pageSize","total"],"description":"PaginationData"}},"required":["data"]}]},"IApiResponse":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string"},"message":{"type":"string"},"data":{}},"required":[]},"IPublicWebinar":{"allOf":[{"type":"object","properties":{"webinarId":{"type":"string"},"webinarHash":{"type":"string","nullable":true},"name":{"type":"string"},"description":{"type":"string"},"recurring":{"type":"string","nullable":true},"eventType":{"type":"string"},"schedules":{"type":"string"},"eventDatetime":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"timezone":{"type":"string"},"presenters":{"type":"string","nullable":true},"registrationUrl":{"type":"string","nullable":true},"created":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]},"isWebinarjam":{"type":"number"},"organizerKey":{"type":"string"},"inactive":{"type":"boolean"},"zoomUUID":{"type":"string","nullable":true},"zoomWebinarId":{"type":"number"},"zoomOccurrenceId":{"type":"number","nullable":true},"zoomRecurrenceType":{"type":"number","nullable":true},"zoomRegistrationType":{"type":"number","nullable":true},"zoomType":{"type":"number","nullable":true},"gotoWebinarKey":{"type":"string","nullable":true},"gotoWebinarId":{"type":"string","nullable":true},"gotoAccountKey":{"type":"string","nullable":true},"gotoRecurrenceType":{"type":"string","nullable":true},"gotoExperienceType":{"type":"string","nullable":true},"duration":{"type":"number","nullable":true},"updatedAt":{"oneOf":[{"format":"date-time","type":"string"},{"type":"string"}]}},"required":["webinarId","name","description","schedules","eventDatetime","timezone","created","organizerKey","inactive"],"description":"IWebinar without id, accountId"},{"type":"object","properties":{"id":{"type":"number"},"webinarSettingId":{"type":"number"},"registrants":{"type":"number"},"participants":{"type":"number"},"absentees":{"type":"number"},"groupId":{"type":"number"},"enableWelcome":{"type":"boolean"},"enableReminders":{"type":"boolean"},"enableAbsentees":{"type":"boolean"}},"required":[]}]},"WebinarEventType":{"type":"string","enum":["Webinar","Meeting"]},"WebinarRecurringPeriod":{"type":"string","enum":["One Time","Daily","Weekly","Monthly","No Fixed Time"]}},"responses":{"BadRequestError":{"description":"BadRequestError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[400]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["bad_request_error"]},"name":{"type":"string","enum":["MTABadRequestError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"UnauthorizedError":{"description":"UnauthorizedError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[401]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["unauthorized_error"]},"name":{"type":"string","enum":["MTAUnauthorizedError"]},"requestId":{"type":"string","format":"uuid"}}}}}},"ForbiddenError":{"description":"ForbiddenError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[403]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["forbidden_error"]},"name":{"type":"string","enum":["MTAForbiddenError"]},"requestId":{"type":"string","format":"uuid"},"reason":{}}}}}},"InternalServerError":{"description":"InternalServerError","content":{"application/json":{"schema":{"type":"object","properties":{"httpCode":{"type":"number","enum":[500]},"message":{"type":"string"},"timestamp":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["internal_server_error"]},"name":{"type":"string","enum":["MTAInternalServerError"]},"requestId":{"type":"string","format":"uuid"}}}}}}}},"paths":{"/webinars/events":{"get":{"tags":["Webinars"],"summary":"List Webinar Events","operationId":"webinars_list_webinar_events","responses":{"200":{"description":"Success","headers":{"RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"Retry-After":{"description":"The number of seconds to wait before retrying the request","schema":{"type":"integer"}},"X-RateLimit-Limit":{"description":"The maximum number of requests that the consumer is permitted to make per window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"The number of requests remaining in the current rate limit window","schema":{"type":"integer"}},"X-RateLimit-Reset":{"description":"The remaining window before the rate limit resets in milliseconds","schema":{"type":"integer"}},"X-Request-ID":{"description":"A unique identifier for the request","schema":{"type":"string","format":"uuid"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListWebinarEvents.Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}},"parameters":[{"name":"filters","in":"query","required":false,"schema":{"type":"object","properties":{"startDate":{"type":"string"},"endDate":{"type":"string"},"eventType":{"$ref":"#/components/schemas/WebinarEventType"},"recurring":{"$ref":"#/components/schemas/WebinarRecurringPeriod"}},"required":[]}}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mobile-text-alerts.com/api-reference/webinars.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
